Package: groovy.lang

## [Java] Class ExpandoMetaConstructor

- groovy.lang.ExpandoMetaClass.ExpandoMetaConstructor

- Handles the ability to use the left shift operator to append new constructors

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `leftShift(Closure c)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public Object leftShift(Closure c)